com.davemorrissey.labs.subscaleview

## Class SubsamplingScaleImageView.DefaultOnAnimationEventListener

- java.lang.Object
- - com.davemorrissey.labs.subscaleview.SubsamplingScaleImageView.DefaultOnAnimationEventListener

All Implemented Interfaces:
  SubsamplingScaleImageView.OnAnimationEventListener

Enclosing class:
  SubsamplingScaleImageView

    public static class SubsamplingScaleImageView.DefaultOnAnimationEventListener
    extends Object
    implements SubsamplingScaleImageView.OnAnimationEventListener

Default implementation of `SubsamplingScaleImageView.OnAnimationEventListener` for extension. This does nothing in any method.

### Constructor Summary

Constructors
Constructor and Description
`DefaultOnAnimationEventListener()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `onComplete()` The animation has completed, having reached its endpoint.
`void` `onInterruptedByNewAnim()` The animation has been aborted before reaching its endpoint because a new animation has been started.
`void` `onInterruptedByUser()` The animation has been aborted before reaching its endpoint because the user touched the screen.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultOnAnimationEventListener

    public DefaultOnAnimationEventListener()

### Method Detail

#### onComplete

    public void onComplete()

Description copied from interface: `SubsamplingScaleImageView.OnAnimationEventListener`
The animation has completed, having reached its endpoint.

Specified by:
  `onComplete` in interface `SubsamplingScaleImageView.OnAnimationEventListener`

#### onInterruptedByUser

    public void onInterruptedByUser()

Description copied from interface: `SubsamplingScaleImageView.OnAnimationEventListener`
The animation has been aborted before reaching its endpoint because the user touched the screen.

Specified by:
  `onInterruptedByUser` in interface `SubsamplingScaleImageView.OnAnimationEventListener`

#### onInterruptedByNewAnim

    public void onInterruptedByNewAnim()

Description copied from interface: `SubsamplingScaleImageView.OnAnimationEventListener`
The animation has been aborted before reaching its endpoint because a new animation has been started.

Specified by:
  `onInterruptedByNewAnim` in interface `SubsamplingScaleImageView.OnAnimationEventListener`